API ReferenceProduct Variants
Batch delete product variants
Delete multiple product variants in one request by sending the variant IDs in resources.
Delete multiple product variants in one request by sending the variant IDs in resources.
DELETE
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
product*integerThe product path parameter.
X-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
application/json- body
resources*array<integer>Successful response.
application/json- response
data*array<>curl -X DELETE 'https://sell.app/api/v2/products/1/variants/batch' \ -H 'X-STORE: launch-lab' \ -H 'Content-Type: application/json' \ -d '{ "resources": [ 1, 2 ]}'{ "data": [ { "id": 1, "product_id": 1, "title": "Professional Edition", "description": "Includes templates, examples and email support.", "deliverable": { "data": { "removeDuplicate": false, "parsingMode": "COMMA", "stock": 3, "comment": "Thanks for the purchase! I'll send you a contract by email. Make sure to sign it with your blood.", "serials": [ "1", "2", "3" ] }, "types": [ "TEXT", "MANUAL" ] }, "pricing": { "humble": true, "frequency": { "value": 1, "interval": "MONTH" }, "type": "SINGLE_PAYMENT", "price": { "price": "1999", "currency": "USD" } }, "minimum_purchase_quantity": 1, "maximum_purchase_quantity": 3, "bulk_discount": [ { "discount_percentage": 10, "minimum_purchase_amount": 10 } ], "payment_methods": [ "BTC", "STRIPE" ], "other_settings": { "quantity_increments": 2, "discord_data_required": false }, "order": 1, "created_at": "2024-01-10T18:47:22.000000Z", "updated_at": "2026-08-30T12:00:01.000000Z", "deleted_at": "2026-08-30T12:00:01.000000Z", "product": { "additional_information": [ { "required": true, "key": "5ebae238c0afae7f4a4b96b30ff6f34c", "type": "CHECKBOX", "label": "I agree to the purchase terms" } ] } }, { "id": 2, "product_id": 1, "title": "Professional Edition", "description": "Includes templates, examples and email support.", "deliverable": { "data": { "removeDuplicate": false, "parsingMode": "COMMA", "stock": 3, "comment": "Thanks for the purchase! I'll send you a contract by email. Make sure to sign it with your blood.", "serials": [ "1", "2", "3" ] }, "types": [ "TEXT", "MANUAL" ] }, "pricing": { "humble": true, "frequency": { "value": 1, "interval": "MONTH" }, "type": "SINGLE_PAYMENT", "price": { "price": "1999", "currency": "USD" } }, "minimum_purchase_quantity": 1, "maximum_purchase_quantity": 3, "bulk_discount": [ { "discount_percentage": 10, "minimum_purchase_amount": 10 } ], "payment_methods": [ "BTC", "STRIPE" ], "other_settings": { "quantity_increments": 2, "discord_data_required": false }, "order": 1, "created_at": "2024-01-10T18:47:22.000000Z", "updated_at": "2026-08-30T12:00:01.000000Z", "deleted_at": "2026-08-30T12:00:01.000000Z", "product": { "additional_information": [ { "required": true, "key": "5ebae238c0afae7f4a4b96b30ff6f34c", "type": "CHECKBOX", "label": "I agree to the purchase terms" } ] } } ]}